Help! how do I keep using 0.9.1? Can't Scan Source!

HandBrake for Mac support
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
Locked
jbrjake
Veteran User
Posts: 4805
Joined: Wed Dec 13, 2006 1:38 am

Help! how do I keep using 0.9.1? Can't Scan Source!

Post by jbrjake » Thu Feb 21, 2008 2:12 am

It's doing this because the "Check for updates" preference was checked. Go to the Preferences item in the HandBrake menu and uncheck that err....uh...let's call it a feature. A dysfunctional feature. Yeah...that's it.

Sorry for the inconvenience. I know, it sucks enough that 0.9.2 doesn't work without it locking you out of 0.9.1. It was not intentional. In a few weeks, after most Leopard users have seen the notice, I'll turn the system off and HB 0.9.1 will work in peace.
Last edited by jbrjake on Sun Mar 09, 2008 6:11 pm, edited 2 times in total.
Reason: Un-announced the post.

ichang
Posts: 1
Joined: Thu Feb 21, 2008 5:12 am

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by ichang » Thu Feb 21, 2008 5:18 am

i don't have leopard yet and it keeps telling me to download but i can't until i get leopard. which i'm in the process of getting but still haven't. I tried resetting the preferences but when i click the source button it keeps beeping and not doing anything.

anne
Posts: 1
Joined: Thu Feb 21, 2008 8:33 am

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by anne » Thu Feb 21, 2008 8:37 am

It all worked well untill you (Handbrake team) asked us to upgrade.
It is such a pitty. I love you're programme but it does'nt work anymore. Same error.
10.4.11 with 0.9.1 HardBrake
Please help!

adrian
Posts: 2
Joined: Thu Feb 21, 2008 8:49 am

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by adrian » Thu Feb 21, 2008 9:06 am

Yeah, I had been using HandBrake fine (on Mac OS X 10.4.11) until I tried the upgrade to 0.9.2 (it prompted me to do so). After that all I got was the Mac OS beeping at me every time I clicked on the Source button. I guessed this was because it thought there was another window open somewhere (possibly offscreen) but I couldn't find it anywhere.

Turning off the 'Check for updates' in the HandBrake Preferences fixed it, after restarting HandBrake. Cheers.

It was only after I had done all this that I then read on the HandBrake website that version 0.9.2 is ONLY for people with Leopard.
So if you are running Mac OS X 10.4.11, don't upgrade, stick with HandBrake 0.9.1

Normal service continues.

stillastar
Posts: 1
Joined: Thu Feb 21, 2008 6:00 pm

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by stillastar » Thu Feb 21, 2008 6:03 pm

I just wanted to thank you all for the advice & having already asked the question.... I am having the same issues, and am a few months away from a Leopard upgrade, so having Adrian share his work-around is literally saving my joy at the job today. Thank you, Adrian, for taking time to share, and HandBrake-ers, for such an awesome forum! I wish all tech issues were this fantastic for me...

jbrjake
Veteran User
Posts: 4805
Joined: Wed Dec 13, 2006 1:38 am

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by jbrjake » Thu Feb 21, 2008 6:40 pm

Err...so did you guys just not read the top post? It's all explained there, was before anyone posted in this thread...

hairguy
Posts: 1
Joined: Fri Feb 22, 2008 6:07 am

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by hairguy » Fri Feb 22, 2008 6:17 am

After un-checking the "Check for updates" box and trying to use Hand Break again it still would not open the source. I realized I had to quit the program and start it back up before it work again.

Thank you for the post for the fix. I was becoming very frustrated.
Good Job :D

saturdaysaint
Posts: 1
Joined: Fri Feb 22, 2008 10:45 am

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by saturdaysaint » Fri Feb 22, 2008 10:51 am

You might want to better label the thread - it wasn't immediately obvious to me that the "Upgrade" notification was the problem. I thought that Handbrake failed to see the DVD drive somehow - I was only helped by a (now locked) thread that was labeled "Source won't open, it just bleeps when I select it", which is a more accurate description of the problem in my opinion. I wouldn't care about "Handbrake telling me to upgrade" if it didn't prevent me from ripping movies. Just a suggestion.

Thanks for the great software!

Ripcord
Posts: 8
Joined: Sat Feb 23, 2008 4:25 pm

Re: Help! I'm on 10.4, and 0.9.1 keeps telling me to upgrade!

Post by Ripcord » Sat Feb 23, 2008 4:44 pm

Agreed. I think people are skipping this thread (or misunderstanding it) because of the topic title. But thanks for posting it.

jbrjake
Veteran User
Posts: 4805
Joined: Wed Dec 13, 2006 1:38 am

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by jbrjake » Sat Feb 23, 2008 5:22 pm

There, is that good enough?

*wait for people to start complaining that the title isn't clear since it doesn't mention the update checker.*

Ripcord
Posts: 8
Joined: Sat Feb 23, 2008 4:25 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by Ripcord » Sat Feb 23, 2008 5:41 pm

Better. Now go be frustrated at how stupid other people are some more.

groovetunes
Posts: 3
Joined: Fri Jan 25, 2008 10:54 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by groovetunes » Sun Feb 24, 2008 9:48 pm

I have 10.3.9 on an imac. What download should I use?

User avatar
s55
HandBrake Team
Posts: 9589
Joined: Sun Dec 24, 2006 1:05 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by s55 » Sun Feb 24, 2008 9:54 pm

0.9.1 CLI (Command Line Interface)

Mycatz2
Posts: 9
Joined: Sun Feb 24, 2008 10:24 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by Mycatz2 » Sun Feb 24, 2008 11:52 pm

I unclicked the preference everyone is suggesting but it's still not opening for me. It keeps "processing" like it's opening something when it's not. Is there something else I need to open to get my DDVD to work?

groovetunes
Posts: 3
Joined: Fri Jan 25, 2008 10:54 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by groovetunes » Mon Feb 25, 2008 2:54 am

sr55 wrote:0.9.1 CLI (Command Line Interface)
Thats what I thought. But after downloading all I get is a file "docs" and "terminal" There are no other icons.

User avatar
s55
HandBrake Team
Posts: 9589
Joined: Sun Dec 24, 2006 1:05 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by s55 » Mon Feb 25, 2008 8:46 am

Well, yeh, It's a command line application. You run that inside the terminal.

There is no nice GUI for 10.3 users.

http://trac.handbrake.fr/wiki/CLIGuide

mschibel
Posts: 1
Joined: Wed Feb 27, 2008 7:02 pm

Re: Help! how do I keep using 0.9.1?

Post by mschibel » Wed Feb 27, 2008 7:07 pm

I love handbrake and have been using it for months with no problems. I recently got a message to upgrade and have not been able to get the software to work ever since. I was told by a "Genius" if you can call them that, my computer software does not support the new version. I them reinstalled 9.1 and can not get the program to read the dvd I inserted into my computer. If anyone else is having the same problem or knows how to fix it , PLEASE help me out.

Thanks!

rhester
Veteran User
Posts: 2888
Joined: Tue Apr 18, 2006 10:24 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by rhester » Wed Feb 27, 2008 9:16 pm

Amazingly, the solution to your problem is the first post in the very thread you replied to! *sigh*

Rodney

doron
Posts: 2
Joined: Thu Feb 28, 2008 6:42 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by doron » Thu Feb 28, 2008 7:10 pm

dugh!...i should've lkd at this forum last night...thanks adrian for the tip...i'm going to unchk 'chk for updates'...i was lil' frustrated i remove the program, but i'll reinstall when i get back to my mac later...

Nrrvus
Posts: 2
Joined: Fri Feb 29, 2008 2:51 am

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by Nrrvus » Fri Feb 29, 2008 3:02 am

go into Preferences and deselect "check for updates'
close handbrake completely
restart handbrake
your problem will be eliminated and you will be able to use handbrake again :D :D

in the midst of writing responses; i am afraid that people do not properly tag the answer so it is difficult to find.

doron
Posts: 2
Joined: Thu Feb 28, 2008 6:42 pm

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by doron » Fri Feb 29, 2008 2:35 pm

yes sir! that did it...

trader
Posts: 1
Joined: Mon Mar 03, 2008 11:54 am

Re: Help! I'm on 10.4, how do I keep using 0.9.1?

Post by trader » Mon Mar 03, 2008 12:19 pm

I have done the unchecking of the update preference.
I still cannot get it to work. I don't get the top menu icons either. I have deleted the application several times and downloaded several times and unchecked as instructed but nothing.
Great little program and all was well until last week. How long to wait until the update issues is taken off?

jbrjake
Veteran User
Posts: 4805
Joined: Wed Dec 13, 2006 1:38 am

Re: Help! how do I keep using 0.9.1? Can't Scan Source!

Post by jbrjake » Sun Mar 09, 2008 6:11 pm

Okay, the LATEST file's been reverted to claim 0.9.1 is the latest release.

This screws over CLI users to placate Mac users who can't read and won't use a current OS.

Locked